org.apache.ant.compress.taskdefs

## Class ArchiveBase.ResourceCollectionFlags

- java.lang.Object
- - org.apache.ant.compress.taskdefs.ArchiveBase.ResourceFlags
  - - org.apache.ant.compress.taskdefs.ArchiveBase.ResourceCollectionFlags

- Enclosing class:
    ArchiveBase

      public class ArchiveBase.ResourceCollectionFlags
      extends ArchiveBase.ResourceFlags

  Various flags a (archive) resource collection may hold.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceCollectionFlags()`
    `ResourceCollectionFlags(java.lang.String prefix, java.lang.String fullpath)`
    `ResourceCollectionFlags(java.lang.String prefix, java.lang.String fullpath, int fileMode, int dirMode)`
    `ResourceCollectionFlags(java.lang.String prefix, java.lang.String fullpath, int fileMode, int dirMode, int uid, int gid)`
    `ResourceCollectionFlags(java.lang.String prefix, java.lang.String fullpath, int fileMode, int dirMode, int uid, int gid, java.lang.String userName, java.lang.String groupName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDirMode()`
    `java.lang.String` | `getFullpath()`
    `java.lang.String` | `getPrefix()`
    `boolean` | `hasDirModeBeenSet()`
    `boolean` | `hasFullpath()`
    `boolean` | `hasPrefix()`

    - ### Methods inherited from class org.apache.ant.compress.taskdefs.ArchiveBase.ResourceFlags

      `getCompressionMethod, getContentMethods, getGroupId, getGroupName, getMode, getUserId, getUserName, getZipExtraFields, hasCompressionMethod, hasContentMethods, hasGroupIdBeenSet, hasGroupNameBeenSet, hasModeBeenSet, hasUserIdBeenSet, hasUserNameBeenSet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceCollectionFlags

          public ResourceCollectionFlags()

    - #### ResourceCollectionFlags

          public ResourceCollectionFlags(java.lang.String prefix,
                                         java.lang.String fullpath)

    - #### ResourceCollectionFlags

          public ResourceCollectionFlags(java.lang.String prefix,
                                         java.lang.String fullpath,
                                         int fileMode,
                                         int dirMode)

    - #### ResourceCollectionFlags

          public ResourceCollectionFlags(java.lang.String prefix,
                                         java.lang.String fullpath,
                                         int fileMode,
                                         int dirMode,
                                         int uid,
                                         int gid)

    - #### ResourceCollectionFlags

          public ResourceCollectionFlags(java.lang.String prefix,
                                         java.lang.String fullpath,
                                         int fileMode,
                                         int dirMode,
                                         int uid,
                                         int gid,
                                         java.lang.String userName,
                                         java.lang.String groupName)

  - ### Method Detail

    - #### hasDirModeBeenSet

          public boolean hasDirModeBeenSet()

    - #### getDirMode

          public int getDirMode()

    - #### hasPrefix

          public boolean hasPrefix()

    - #### getPrefix

          public java.lang.String getPrefix()

    - #### hasFullpath

          public boolean hasFullpath()

    - #### getFullpath

          public java.lang.String getFullpath()